
/*****************************************************************************
 *  Compilation:  javac GuitarHeroLite.java
 *  Execution:    java  GuitarHeroLite
 *  Dependencies: StdAudio.java StdDraw.java GuitarString.java
 *
 ****************************************************************************/

import java.awt.Font;

public class GuitarHeroLite 
{

    public static void main(String[] args) {

        StdDraw.text(.5, .5, "Click this window and start jamming");

        // a really big font
        StdDraw.setFont(new Font("SansSerif", Font.BOLD, 120));

        // Create two guitar strings, for concert A and C
        double CONCERT_A = 440.0;
        double CONCERT_C = CONCERT_A * Math.pow(2, 3.0/12.0);
        GuitarString stringA = new GuitarString(CONCERT_A);
        GuitarString stringC = new GuitarString(CONCERT_C);

        // the main input loop
        while (true) 
        {
            // check if the user has typed a key, and, if so, process it
            if (StdDraw.hasNextKeyTyped()) 
            {
                // the user types this character
                char key = StdDraw.nextKeyTyped();

                // draw the character to standard draw (for debugging)
                StdDraw.clear();
                StdDraw.text(.5, .5, "" + key);

                // pluck the corresponding string, also display the typed key
                // in black if was a good key, red otherwise
                StdDraw.setPenColor(StdDraw.RED);
                if (key == 'a') 
                { 
                	stringA.pluck(); 
                	StdDraw.setPenColor(StdDraw.BLACK);
                }
                else if (key == 'c') 
                { 
                	stringC.pluck(); 
                	StdDraw.setPenColor(StdDraw.BLACK);
                }
                StdDraw.text(.5, .5, "" + key);
            }

              // compute the superposition of the samples
            double sample = stringA.sample() + stringC.sample();

            // send the result to the sound card
            StdAudio.play(sample);

            // advance the simulation of each guitar string by one step
            stringA.tic();
            stringC.tic();
        }
    }

}

